Ubuntu

[SRU] munin plugin exim_mailqueue has incorrect graph configuration

Reported by Malcolm Scott on 2010-06-25
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
munin
Fix Released
Unknown
munin (Ubuntu)
Medium
Vibhav Pant
Lucid
Undecided
Unassigned
Oneiric
Undecided
Unassigned
Precise
Medium
Vibhav Pant
Quantal
Medium
Vibhav Pant

Bug Description

[Impact]
The exim_mailqueue graph tells rrdtool to draw first a STACK (for 'mails') and then an AREA (for 'frozen'). This is invalid as STACK must follow AREA or LINE, and the graph does not render correctly with large amounts of whitespece.

[Steps To Reproduce]
Install munin, munin-node and exim4
Open the exim_mailqueue graph in munin (http://localhost/munin).
Generate large amount of email to exim:
  while (true); do echo Test | mailx "<email address hidden>"; done
Freeze some of the messages:
  exim -bp (queue listing)
  exim -Mf MSG_ID
Wait for graphs to render in http://localhost/munin.
  - Graph is displayed with blue 'frozen' messages at the bottom an a while stacked 'green' line for queue size - should be the other way round with no whitespace.

[Development Fix]
Cherry picked patch from upstream VCS - http://munin-monitoring.org/changeset/4597

[Stable Fix]
Same as development fix

[Regression Potential]
Low, only changes the order of the drawn graphs + already accepted upstream.

[Workaround]
This can be corrected by swapping AREA and STACK in /usr/share/munin/plugins/exim_mailqueue

[Original Bug Report]

Binary package hint: munin

The exim_mailqueue graph tells rrdtool to draw first a STACK (for 'mails') and then an AREA (for 'frozen'). This is invalid as STACK must follow AREA or LINE, and the graph does not render. The error message in the munin-graph log is as follows:

Jun 25 08:45:48 - ERROR: First field ("mails") of graph "[elided]" :: "[elided] :: "
exim_mailqueue" is STACK. STACK can only be drawn after a LINEx or AREA.
Jun 25 08:45:48 - Unable to graph /var/lib/munin/[elided]/[elided]-exim_mailqueue-fro
zen-g.rrd: STACK must follow LINE or AREA! command:

This can be corrected by swapping AREA and STACK in /usr/share/munin/plugins/exim_mailqueue. Patch attached.

Malcolm Scott (malcscott) wrote :
description: updated
tags: added: patch
Daniel Hahler (blueyed) wrote :

Thank you for your bug report, I have forwarded it upstream - also to get feedback on the correctness of the patch: I am not sure if the whole blocks should get swapped instead - or if it does matter at all.
Can you elaborate on your fix maybe (e.g. what STACK and AREA stand for)? (sorry for being ignorant of looking this up myself)

Changed in munin (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in munin:
status: Unknown → New
Kamus (kamus) on 2010-08-12
tags: added: patch-forwarded-upstream
removed: patch
Changed in munin:
status: New → Fix Released
Daniel Hahler (blueyed) on 2012-01-23
tags: added: patch patch-accepted-upstream
tags: removed: patch-forwarded-upstream
Vibhav Pant (vibhavp) on 2012-04-03
Changed in munin (Ubuntu):
assignee: nobody → Vibhav Pant (vibhavp)
Vibhav Pant (vibhavp) wrote :

Attached debdiff

James Page (james-page) wrote :

Hi Vibhav

Thanks for the revised debdiff; much appreciated.

Precise has just entered Final Freeze and as munin is part of Ubuntu main this bug does not meet the release critical requirements now in place so we need to defer this fix to next release.

Guess we might also get a new upstream release at some point in the next few months so might be able to drop this and a number of other patches.

Targetting to Q-series.

Vibhav Pant (vibhavp) on 2012-05-08
Changed in munin (Ubuntu Quantal):
assignee: nobody → Vibhav Pant (vibhavp)
Vibhav Pant (vibhavp) wrote :
James Page (james-page) on 2012-05-21
Changed in munin (Ubuntu Quantal):
status: New → Confirmed
Changed in munin (Ubuntu Precise):
status: New → Confirmed
Changed in munin (Ubuntu Quantal):
importance: Undecided → Medium
Changed in munin (Ubuntu Precise):
importance: Undecided → Medium
summary: - munin plugin exim_mailqueue has incorrect graph configuration
+ [SRU] munin plugin exim_mailqueue has incorrect graph configuration
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package munin - 1.4.6-3ubuntu5

---------------
munin (1.4.6-3ubuntu5) quantal; urgency=low

  [ Vibhav Pant ]
  * debian/patches/upstream_changeset_4597.patch:
    - Fixes incorrect graph configuration in munin plugin
      exim_mailqueue (LP: #598385).

  [ James Page ]
  * debian/patches/upstream_changeset_4358.patch:
    - Silent Perl 5.14 warnings to re-enable collection of
      memory usage data in the memory plugin (LP: #1000678).
 -- Vibhav Pant <email address hidden> Mon, 21 May 2012 14:39:19 +0100

Changed in munin (Ubuntu Quantal):
status: Confirmed → Fix Released
Vibhav Pant (vibhavp) on 2012-05-21
description: updated
description: updated
description: updated
Vibhav Pant (vibhavp) on 2012-05-21
Changed in munin (Ubuntu Precise):
assignee: nobody → Vibhav Pant (vibhavp)
James Page (james-page) on 2012-05-21
description: updated
James Page (james-page) on 2012-05-21
description: updated
description: updated
description: updated
James Page (james-page) on 2012-05-21
description: updated
description: updated
Micah Gersten (micahg) wrote :

Taking a look at this and using the quantal patch

Changed in munin (Ubuntu Precise):
assignee: Vibhav Pant (vibhavp) → Micah Gersten (micahg)
status: Confirmed → In Progress
Micah Gersten (micahg) wrote :

This has already been uploaded to precise-proposed, removing sponsors

Changed in munin (Ubuntu Precise):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Fix Committed
Vibhav Pant (vibhavp) on 2012-05-22
Changed in munin (Ubuntu Oneiric):
assignee: nobody → Vibhav Pant (vibhavp)
status: New → In Progress
Vibhav Pant (vibhavp) on 2012-05-22
Changed in munin (Ubuntu Precise):
assignee: nobody → Vibhav Pant (vibhavp)

Hello Malcolm, or anyone else affected,

Accepted munin into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Mumford (steve-mumford) wrote :

Hi there - we're affected by this bug in Lucid LTS (server) - is there any chance of an SRU for 10.04? Thanks!

Vibhav Pant (vibhavp) on 2012-05-23
Changed in munin (Ubuntu Lucid):
assignee: nobody → Vibhav Pant (vibhavp)
status: New → In Progress
Vibhav Pant (vibhavp) wrote :

Hi Steve,
Could you please tell us what version of perl are you using on your server?

Vibhav Pant (vibhavp) on 2012-05-30
Changed in munin (Ubuntu Lucid):
status: In Progress → Incomplete
assignee: Vibhav Pant (vibhavp) → nobody
Vibhav Pant (vibhavp) wrote :

@clint-fewbar : the changes in precise-proposed works.

tags: added: verification-done
removed: verification-needed
James Page (james-page) on 2012-05-31
Changed in munin (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package munin - 1.4.6-3ubuntu3.1

---------------
munin (1.4.6-3ubuntu3.1) precise-proposed; urgency=low

  * debian/patches/upstream_changeset_4597.patch
    - Fix incorrect graph configuration in munin plugin
      exim_mailqueue but switching AREA and STACK sections.
      Cherry picked patch from upstream VCS (LP: #598385).
  * debian/patches/upstream_changeset_4358.patch
    - Fix broken memory usage data collection in memory plugin by
      silencing Perl 5.14 warnings.
      Cherry picked patch from upstream VCS (LP: #1000678).
 -- Vibhav Pant <email address hidden> Mon, 21 May 2012 17:09:20 +0100

Changed in munin (Ubuntu Precise):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

Un-subscribing ubuntu-sponsors; please re-subscribe where something needs reviewing/uploading.

Vibhav Pant (vibhavp) on 2013-03-26
Changed in munin (Ubuntu Oneiric):
assignee: Vibhav Pant (vibhavp) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.